# AWS API client for Amazon QLDB Session

**Warning: This is a generated library, some operations may not work.**

*About the service:*
The transactional data APIs for Amazon QLDB
<note>
Instead of interacting directly with this API, we recommend using the QLDB
driver or the QLDB shell to execute data transactions on a ledger.

<ul>
<li>
If you are working with an AWS SDK, use the QLDB driver. The driver provides
a high-level abstraction layer above this <i>QLDB Session</i> data plane and
manages <code>SendCommand</code> API calls for you. For information and a
list of supported programming languages, see <a
href="https://docs.aws.amazon.com/qldb/latest/developerguide/getting-started-driver.html">Getting
started with the driver</a> in the <i>Amazon QLDB Developer Guide</i>.
</li>
<li>
If you are working with the AWS Command Line Interface (AWS CLI), use the
QLDB shell. The shell is a command line interface that uses the QLDB driver
to interact with a ledger. For information, see <a
href="https://docs.aws.amazon.com/qldb/latest/developerguide/data-shell.html">Accessing
Amazon QLDB using the QLDB shell</a>.
</li>
</ul> </note>

## Links

- [Other AWS libraries](https://github.com/agilord/aws_client/tree/master/generated).
- [Issue tracker](https://github.com/agilord/aws_client/issues).
- [AWS API definitions](https://github.com/aws/aws-sdk-js/tree/master/apis).

## Contributors

- [Jonathan Böcker](https://github.com/Schwusch)
- [Istvan Soós](https://github.com/isoos)

